Subject: Re: bug#27505: acknowledged by developer (Re: bug#27505: LC_CTYPE affects tutorial language)

From: [email-masked]
Date: Fri, 04 Aug 2017 22:06:30 -0400

reopen 27505
tags 27505 - notabug
quit

Leonard Lausen <[email-masked]> writes:

> Please reopen this bug. Unfortunately my previous reply was only sent to
> Andreas, but not to the bug list. I am attaching it below. A short
> summary is that emacs is assuming the language I occasionally need to
> input is also the language I want to read by default, which is a wrong
> assumption. Note that its not possible to input Chinese characters in
> emacs without setting LC_CTYPE to zh_CN.

Does setting LC_ALL=en_US.UTF-8 and LC_CTYPE=zh_CN.UTF-8 work?

     Some operating systems let you specify the character-set locale you
  are using by setting the locale environment variables ‘LC_ALL’,
  ‘LC_CTYPE’, or ‘LANG’.  (If more than one of these is set, the first one
  that is nonempty specifies your locale for this purpose.)

Or should LANG should take precedence over LC_CTYPE perhaps?